package main

import (
	"flag"
	"fmt"

	"shuo-irc.com/config"
)

var (
	conf *config.Config

	confPath = flag.String("conf", "./scream.ini", "path to config file")
)

func main() {
	flag.Parse()

	var err error
	conf, err = config.Load(*confPath)
	if err != nil {
		panic(err)
	}

	fmt.Println("Hello world!")
}
